Subject: Re: bug#50670: 28.0.50; Conflict on minibuffer indicator overlays

From: Gabriel <[email-masked]>
Date: Sun, 19 Sep 2021 02:59:19 -0300

Eli Zaretskii <[email-masked]> writes:

>
> The body of the message came in empty.  Please re-send your full
> report, including the details of your configuration collected by
> "M-x report-emacs-bug", and if possible also a recipe for reproducing
> the issue starting from "emacs -Q".
>
> Thanks.

Hi Eli,

Thank you. Strange, I did sent a body. I guess it's something I messed
up in my init.el. Anyway, here is the information of this bug report:

Description:
Apparently, there is a conflict between the overlays of
'minibuffer-depth-indicate-mode' and 'icomplete-mode' when inside
recursive minibuffers.

Steps
1) emacs -Q from master branch
2) eval:
    (setq enable-recursive-minibuffers t)
    (minibuffer-depth-indicate-mode 1)
    (setq icomplete-scroll t
          icomplete-show-matches-on-no-input nil)
    (icomplete-vertical-mode 1)
3) C-x f multiple times to go into recursive minibuffers

The 'minibuffer-depth-indicate-mode' overlay "[%s]" is rendered on
the right side of 'icomplete-mode' overlay "%s/%s" momentarily, and then
it moves to the left side (the correct position). The problem can also
be reproduced when the minibuffer input changes, e.g., by typing
'C-x f' + 'backspace'.

--
        Gabriel